The officially official Devuan Forum!

You are not logged in.

#1 2023-10-29 21:56:36

Altoid
Member
Registered: 2017-05-07
Posts: 1,498  

Whoopsie ... Firefox-esr 115.4 breaks things

Hello:

Not surprising at all.
And very annoying.

Could not log into my bank's on-line banking to check a few things with the latest Firefox-esr (115.4.0esr-1~deb10u1 amd64).
I also have issues with a couple of other sites I frequently use which will not display map type images but I can access those with the last Pale Moon.

The bank says version FF 91.x.x-esr is the minimum accepted version.
I tried it with my Asus 1000HE 32-bit netbook and it works fine.

Curiously enough (or not), I was also able get things done with a LibreWolf 102.01 AppImage I have as a fall-back.
So maybe it would be best to pin this crap at version 102-esr.

How can I roll back to the FF-esr previous version?
I assume it can be installed with apt?

Thanks in advance.

Best,

A.

Offline

#2 2023-10-30 11:40:18

Marjorie
Member
From: Teignmouth, UK
Registered: 2019-06-09
Posts: 220  

Re: Whoopsie ... Firefox-esr 115.4 breaks things

Firefox 102.15 is still the version in (my) Daedulus repository this morning. I assume that the rollover to 115.4 won't happen till November. Where did you get it?

Offline

#3 2023-10-30 11:50:40

Andre4freedom
Member
Registered: 2017-11-15
Posts: 154  

Re: Whoopsie ... Firefox-esr 115.4 breaks things

Hello, my 5 cents to this:
I have a plain standard Daedalus installation on all my systems. My wife does the e-Banking and got some warnings from the bank's web-site.
Our plain standard installations have firefox 115.4.0esr - which comes with normal "apt update" commands.
So that settles it for Daedalus.

I downloaded Firefox from Mozilla.org and extracted/installed it to /opt. It can work in parallel with the esr Firefox, and the problems with the bank are solved.
Sincerely...

Last edited by Andre4freedom (2023-10-30 12:55:36)

Offline

#4 2023-10-30 12:12:52

Marjorie
Member
From: Teignmouth, UK
Registered: 2019-06-09
Posts: 220  

Re: Whoopsie ... Firefox-esr 115.4 breaks things

Glad to hear you've got a workround.

It see it has updated in Bookworm to 115.4.0esr-1~deb12u1, but I did a repository refresh and mine still shows 102.15, so obviously just a matter of time unless I pin it.

Offline

#5 2023-10-30 12:22:10

Altoid
Member
Registered: 2017-05-07
Posts: 1,498  

Re: Whoopsie ... Firefox-esr 115.4 breaks things

Hello:

Marjorie wrote:

Firefox 102.15 is still the version in (my) Daedulus repository ...

This is my box:

~$ uname -a
Linux devuan 5.10.0-0.deb10.16-amd64 #1 SMP Debian 5.10.127-2~bpo10+1 (2022-07-28) x86_64 GNU/Linux
~$
 

Got it from the repository:

~$ apt list | grep firefox-esr
--- snip ---
firefox-esr/oldoldstable-security,now 115.4.0esr-1~deb10u1 amd64 [installed]
~$ 

Thanks for your input.

Best,

A.

Offline

#6 2023-10-30 12:39:50

Altoid
Member
Registered: 2017-05-07
Posts: 1,498  

Re: Whoopsie ... Firefox-esr 115.4 breaks things

Hello:

Andre4freedom wrote:

... standard Daedalus installation on all my systems.
--- snip ---
... firefox 115.4.0esr - which cane with normal "apt update" commands.

See my reply to Majorie.

Andre4freedom wrote:

... Firefox from Mozilla.org and installed it to /opt.
... work in parallell with the esr Firefox ...

I had to do that in my 1000HE.
Removed the updated version that screwed things up (102.x), installed 91.x and then pinned it.

To be honest, I am (rather) relieved to see I am not the only person affected by whatever Mozilla is doing lately.

I was beginning to think it was my recursive DNS Pi-Hole / UBlock Origin generating these issues.
But no, they seem to be working perfectly well.

Two FFs in my box is far too much FF for me.
If we're not carefull, they may spawn a litter.

But ...
Just who is in charge at Mozilla? --> DH Supremo Poettering?  8^/

I think I'll cut my losses and do my home banking with the LibreWolf 102.01 AppImage for the time being.
At least the banks seem to be OK with it, no issues whatsoever.

And I can get to see maps/bus routes without having to jump through hoops.

Thanks for your input.

Best,

A.

Offline

#7 2023-10-30 13:57:21

boughtonp
Member
From: UK
Registered: 2023-01-19
Posts: 212  
Website

Re: Whoopsie ... Firefox-esr 115.4 breaks things

Repository versions are at https://pkginfo.devuan.org/firefox-esr

As one can see, 102.15 is current daedalus version for people who do not have daedalus-security enabled - most people should be on 115.4.0esr-1~deb12u1 - note that's deb12 not deb10!

The "oldoldstable-security" repository is not for Daedalus, it is for Beowulf (and should be referred as "beowulf-security").

Anyone unclear on what their repositories should look like should read https://www.devuan.org/os/packages

Last edited by boughtonp (2023-10-30 13:57:39)


3.1415P265E589T932E846R64338

Offline

Board footer